package com.yunzhi.marketing.eContract.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.marketing.eContract.entity.TaCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * <p>
 * 企业认证表  Mapper 接口
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
@Mapper
@Component
public interface TaCompanyMapper extends BaseMapper<TaCompany> {
    TaCompany getCompanyAndContractInfo(@Param("companyId") Integer companyId);

    IPage<TaCompany> selectListByOrgId(IPage<TaCompany> iPage, @Param("companyName") String companyName, @Param("companyCode")String companyCode, @Param("orgId")Integer orgId);
}
