package com.yunzhi.marketing.xlk.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.marketing.xlk.entity.Curriculum;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 课程表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2021-05-18
 */
@Mapper
public interface CurriculumMapper extends BaseMapper<Curriculum> {

    IPage<Curriculum> getWxList(IPage<Curriculum> pg, @Param("orgId") Integer orgId, @Param("name") String name, @Param("roleList") List<String> roleList);

    IPage<Curriculum> selectMySaveList(IPage<Curriculum> pg,@Param("personId") String personId);

    int setFieldIncrement(@Param("curriculumId") String curriculumId, @Param("field") String field, @Param("increment") int increment);
}
